Bug 338537 - expire old messages fail
Summary: expire old messages fail
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 4.13.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-25 06:45 UTC by Dj YB
Modified: 2017-01-07 21:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
expiry rule (32.39 KB, image/png)
2014-08-25 09:56 UTC, Dj YB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dj YB 2014-08-25 06:45:35 UTC
setting an expire rule on afolder fail to execute with a failure message in the status bar.
mooving the messages manually succeed.

Reproducible: Always

Steps to Reproduce:
1.create an expire rule
2.try to execute it
3.see the error message
Actual Results:  
error message instead of moving messages

Expected Results:  
moving messages
Comment 1 Laurent Montel 2014-08-25 07:46:51 UTC
Please give me a screenshot about your expire rules settings.

Regards
Comment 2 Dj YB 2014-08-25 09:56:11 UTC
Created attachment 88413 [details]
expiry rule
Comment 3 Laurent Montel 2014-08-25 11:12:13 UTC
Ok seems ok.
Could you give me exact error message please (in English), so I can investigate it.
Thanks
Comment 4 Dj YB 2014-08-25 11:33:23 UTC
(In reply to Laurent Montel from comment #3)
> Ok seems ok.
> Could you give me exact error message please (in English), so I can
> investigate it.
> Thanks

In the status bar appear the following error:
"Moving old messages from folder inbox to folder 2014 failed."
Comment 5 Laurent Montel 2014-08-26 06:40:26 UTC
do you have debug package ?
Do you have error message in console ?.
Comment 6 Dj YB 2014-08-26 08:14:55 UTC
(In reply to Laurent Montel from comment #5)
> do you have debug package ?
> Do you have error message in console ?.

I do not have the debug packages currently installed. If required they will be installed (given their names).

running kmail from console and executing expire result in the following error message:
kmail2(21717): 103 "Unable to retrieve item from resource: <html>Invalid item retrieved</html>"
Comment 7 Denis Kurz 2016-09-24 18:05:50 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 8 Denis Kurz 2017-01-07 21:29:51 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.